/*! \file KML_Comment.h 
 *  \brief: header file for kml_comment object
 */

#ifndef _KML_COMMENT_H_
#define _KML_COMMENT_H_

/*Headers:{{{*/
#include "../../../include/include.h"
#include "../../../shared/Exceptions/exceptions.h"
#include "../../../EnumDefinitions/EnumDefinitions.h"

#include "../Object.h"
class DataSet;
/*}}}*/

class KML_Comment: public Object {

	public:

		char* name;
		char* value;

		/*KML_Comment constructors, destructors {{{*/
		KML_Comment();
		~KML_Comment();
		/*}}}*/
		/*Object virtual functions definitions:{{{*/
		virtual void  Echo();
		virtual void  DeepEcho();
		virtual void  DeepEcho(const char* indent);
		int   Id(){_error2_("Not implemented yet.");};
		int   MyRank(){_error2_("Not implemented yet.");};
		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
		int   MarshallSize(){_error2_("Not implemented yet.");};
		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
		int   ObjectEnum(){_error2_("Not implemented yet.");};
		Object* copy(){_error2_("Not implemented yet.");};
		/*}}}*/

		/*virtual functions: */
		void  Write(FILE* fid,const char* indent);
		void  Read(FILE* fid,char* kstr);
		void  Alloc(const char* valuei);
		void  Add(DataSet* commnt);
		void  Get(char** pvalueo);

};
#endif  /* _KML_COMMENT_H */

